summaryrefslogtreecommitdiffstats
path: root/libraries/exiv2
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-11 19:44:57 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 19:44:57 +0200
commit5c443790f13549db270bbd9a385911d785325a60 (patch)
treeb9535e16929386f81e560b47291fdf13ba719619 /libraries/exiv2
parent1568c9ef55543d5c2bf8c08b2b79a4419e6de36d (diff)
downloadslackbuilds-5c443790f13549db270bbd9a385911d785325a60.tar.gz
slackbuilds-5c443790f13549db270bbd9a385911d785325a60.tar.xz
libraries/exiv2: Updated for version 0.16
Diffstat (limited to 'libraries/exiv2')
-rw-r--r--libraries/exiv2/README1
-rw-r--r--libraries/exiv2/exiv2.SlackBuild26
-rw-r--r--libraries/exiv2/exiv2.info12
-rw-r--r--libraries/exiv2/slack-desc8
4 files changed, 28 insertions, 19 deletions
diff --git a/libraries/exiv2/README b/libraries/exiv2/README
index 2e99d8800b..6ef6e3afe1 100644
--- a/libraries/exiv2/README
+++ b/libraries/exiv2/README
@@ -1,3 +1,2 @@
Exiv2 is a C++ library and a command line utility to read
and write Exif and IPTC image metadata.
-
diff --git a/libraries/exiv2/exiv2.SlackBuild b/libraries/exiv2/exiv2.SlackBuild
index 7a8fe13eff..12a9e602b9 100644
--- a/libraries/exiv2/exiv2.SlackBuild
+++ b/libraries/exiv2/exiv2.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Exiv2
-# Copyright 2007 MagicMan <MagicMan07@bluebottle.com>
+# Copyright 2007-2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,22 +22,18 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-if [ "$(id -u)" != "0" ]; then
- echo "This script must be run as root!"
- exit 1
-fi
-
PRGNAM=exiv2
-VERSION=0.13
+VERSION=0.16
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-PDOCS="COPYING README doc/ChangeLog doc/html"
+DOCS="COPYING README doc/ChangeLog doc/COPYING-XMPSDK doc/README-XMP doc/templates"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -49,11 +45,15 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM-$VERSION.tar.* || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -62,7 +62,8 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --disable-static \
+ --enable-shared=yes \
+ --enable-static=no \
|| exit 1
make || exit 1
@@ -79,8 +80,9 @@ make install DESTDIR=$PKG || exit 1
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/libraries/exiv2/exiv2.info b/libraries/exiv2/exiv2.info
index 0c8090ed06..9947c10d5d 100644
--- a/libraries/exiv2/exiv2.info
+++ b/libraries/exiv2/exiv2.info
@@ -1,8 +1,8 @@
PRGNAM="exiv2"
-VERSION="0.13"
+VERSION="0.16"
HOMEPAGE="http://www.exiv2.org/"
-DOWNLOAD="http://www.exiv2.org/exiv2-0.13.tar.gz"
-MD5SUM="492d476e3130ac27983d93e5595d81e8"
-MAINTAINER="MagicMan"
-EMAIL="MagicMan07@bluebottle.com"
-APPROVED="rworkman"
+DOWNLOAD="http://www.exiv2.org/exiv2-0.16.tar.gz"
+MD5SUM="a6e72343885d990c593bd013c6c988f1"
+MAINTAINER="Frank Caraballo"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="David Somero"
diff --git a/libraries/exiv2/slack-desc b/libraries/exiv2/slack-desc
index 1ecdb036c3..f2a55eca5b 100644
--- a/libraries/exiv2/slack-desc
+++ b/libraries/exiv2/slack-desc
@@ -1,3 +1,11 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
exiv2: Exiv2 (Exif and IPTC Metadata Library and Tools)
exiv2:
exiv2: Exiv2 is a C++ library and a command line utility to read